function sum_likely1= bayes_function_lin(sigma1, data)

n_blocks=length(data);
n_trials=length(data{1}(:,1));
n_cards=3;
start_trial=2;
tau=.1;

        likely1=zeros(1,n_blocks);
        likely2=zeros(1,n_blocks);
        errors=zeros(1,n_blocks);

        if sigma1<1/3 ||  sigma1>1
            likely1=ones(1,n_blocks)*1000;
            likely2=ones(1,n_blocks)*1000;            
        else
%         values = normpdf(1:3,2,sigma1)/sum(normpdf(1:3,2,sigma1));
%         m=values(2);
%         s=values(1);
        m1=sigma1;
        s1=(1-sigma1)/2;
        m2=s1/(m1*2+s1);%s1;
        s2=m1/(m1*2+s1);%(1-s1)/2;
        
        cardupdN100=[0 1 1
                     1 0 1
                     1 1 0]*s1 + eye(3)*m1;
        cardupdB100=([0 1 1
                      1 0 1
                      1 1 0]*s2 + eye(3)*m2);

        %starting probabilities        
        for blocki=1:n_blocks
            cardpN100{blocki}=ones(n_trials,n_cards)/n_cards;
%             cardpB{blocki}   =ones(n_trials,n_cards)/n_cards;
        end
        
        for blocki=1:n_blocks
            outcomes    =data{blocki}(:,2);
            real_choices=data{blocki}(:,1);
            
            for triali=start_trial:length(real_choices)
                %Bayesian update
                prob=cardpN100{blocki}(triali-1,:);
                %Normal and Bimodal
                if real_choices(triali-1)==1
                    if outcomes(triali-1)==100
                        denN100=prob(1)*cardupdN100(1,1)+prob(2)*cardupdN100(1,2)+prob(3)*cardupdN100(1,3);
                    elseif  outcomes(triali-1)==10
                        denN100=prob(1)*cardupdB100(1,1)+prob(2)*cardupdB100(1,2)+prob(3)*cardupdB100(1,3);
                    elseif  outcomes(triali-1)==0
                        denN100=prob(1)*cardupdB100(1,1)+prob(2)*cardupdB100(1,2)+prob(3)*cardupdB100(1,3);
                    end
                elseif real_choices(triali-1)==2
                    if outcomes(triali-1)==100
                        denN100=prob(1)*cardupdN100(2,1)+prob(2)*cardupdN100(2,2)+prob(3)*cardupdN100(2,3);
                    elseif outcomes(triali-1)==10
                        denN100=prob(1)*cardupdB100(2,1)+prob(2)*cardupdB100(2,2)+prob(3)*cardupdB100(2,3);
                    elseif outcomes(triali-1)==0
                        denN100=prob(1)*cardupdB100(2,1)+prob(2)*cardupdB100(2,2)+prob(3)*cardupdB100(2,3);
                    end
                elseif real_choices(triali-1)==3
%                     denB=cardpB(triali-1,1)*cardupdB(3,1)+cardpB(triali-1,2)*cardupdB(3,2)+cardpB(triali-1,3)*cardupdB(3,3);
                    if outcomes(triali-1)==100
                        denN100=prob(1)*cardupdN100(3,1)+prob(2)*cardupdN100(3,2)+prob(3)*cardupdN100(3,3);
                    elseif outcomes(triali-1)==10
                        denN100=prob(1)*cardupdB100(3,1)+prob(2)*cardupdB100(3,2)+prob(3)*cardupdB100(3,3);
                    elseif outcomes(triali-1)==0
                        denN100=prob(1)*cardupdB100(3,1)+prob(2)*cardupdB100(3,2)+prob(3)*cardupdB100(3,3);
                    end
                end
                
                if  real_choices(triali-1)>0
                    if outcomes(triali-1)==100
                        cardpN100{blocki}(triali,:)=(cardupdN100(real_choices(triali-1),:).*prob)/denN100;
                    else
                        cardpN100{blocki}(triali,:)=(cardupdB100(real_choices(triali-1),:).*prob)/denN100;
                    end
                else
                    cardpN100{blocki}(triali,:)=(prob +ones(1,3)/3)/2;
                end
                
%                 cardpN100{blocki}(triali,:)=softmaxselection(cardpN100{blocki}(triali,:), tau);
                distro=softmaxselection(cardpN100{blocki}(triali,:), tau);
                cardpN100{blocki}(triali,:)=max(0.05, cardpN100{blocki}(triali,:));
                cardpN100{blocki}(triali,:)=cardpN100{blocki}(triali,:)/sum(cardpN100{blocki}(triali,:));

%                 distro=softmaxselection(cardpN100{blocki}(triali,:), tau);
%                 distro=cardpN100{blocki}(triali,:);                
                
                %comparison
                if real_choices(triali)>0
                    errors= 1-cardpN100{blocki}(triali,real_choices(triali));
                    likely1(blocki)=likely1(blocki)+ errors;
%                     likely2(blocki)=likely2(blocki)+ abs(log(distro(real_choices(triali))));
                    likely2(blocki)=likely2(blocki)+ min(3, abs(log(distro(real_choices(triali)))));
                end
%                 cardpN100{blocki}(triali,:)=max(0.05, cardpN100{blocki}(triali,:));
                if max(cardpN100{blocki}(triali,:))==0.05
                    error ('check')
                end

%                 disp([real_choices(triali-1) outcomes(triali-1)]);
%                 disp(cardpN100{blocki}(triali,:));
%                 pause(1)
                
            end
        end
%%

        end
sum_likely1=sum(likely1);
% sum_likely2=sum(likely2);
