function sum_likely1= heur_function_lin(sigma1, data, beads)

n_blocks=length(data);
n_trials=length(data{1}(:,1));
n_beads=3;
start_trial=1;
tau=.1;

likely1=zeros(1,n_blocks);
likely2=zeros(1,n_blocks);
errors=zeros(1,n_blocks);

if sigma1>1
    likely1=ones(1,n_blocks)*1000;
    likely2=ones(1,n_blocks)*1000;
else
    
    
    for blocki=1:n_blocks %[optimal sample: 1 2 6
        %             bead_disp=all_data{agent}{blocki}(:,5);
        jarp{blocki}=ones(n_trials,n_beads)/n_beads;
        bead_disp=beads{blocki};
        real_choices=data{blocki}(:,1);
        for triali=start_trial:length(bead_disp)
            
            if triali==start_trial
                prob=jarp{blocki}(triali,:);
            else
                prob=jarp{blocki}(triali-1,:);
            end
            %Heuristic update
            jarp{blocki}(triali,bead_disp(triali))=max(0, min(1, prob(bead_disp(triali))+sigma1));
            if bead_disp(triali)==1
                ratio2=prob(2)/(prob(2)+prob(3));
                ratio3=prob(3)/(prob(2)+prob(3));
                jarp{blocki}(triali,2)=max(0, min(1, prob(2)-sigma1*ratio2));
                jarp{blocki}(triali,3)=max(0, min(1, prob(3)-sigma1*ratio3));
            elseif bead_disp(triali)==2
                ratio1=prob(1)/(prob(1)+prob(3));
                ratio3=prob(3)/(prob(1)+prob(3));
                jarp{blocki}(triali,1)=max(0, min(1, prob(1)-sigma1*ratio1));
                jarp{blocki}(triali,3)=max(0, min(1, prob(3)-sigma1*ratio3));
            elseif bead_disp(triali)==3
                ratio1=prob(1)/(prob(1)+prob(2));
                ratio3=prob(2)/(prob(1)+prob(2));
                jarp{blocki}(triali,1)=max(0, min(1, prob(1)-sigma1*ratio1));
                jarp{blocki}(triali,2)=max(0, min(1, prob(2)-sigma1*ratio2));
            end
%             jarp{blocki}(triali,:)=jarp{blocki}(triali,:)/sum(jarp{blocki}(triali,:));            
            distro=softmaxselection(jarp{blocki}(triali,:), tau);
%             jarp{blocki}(triali,:)=max(0.05, jarp{blocki}(triali,:));
%             jarp{blocki}(triali,:)=jarp{blocki}(triali,:)/sum(jarp{blocki}(triali,:));
            
%             distro=jarp{blocki}(triali,:);
            
            %comparison
            if real_choices(triali)>0
                errors= 1-distro(real_choices(triali));
                likely1(blocki)=likely1(blocki)+ errors;
%                 likely2(blocki)=likely2(blocki)+ abs(log(distro(real_choices(triali))));
            end
%             jarp{blocki}(triali,:)=max(0.05, jarp{blocki}(triali,:));
            
            %                 disp([bead_disp(triali) real_choices(triali)]);
            %                 disp(jarp{blocki}(triali,:));
            %                 disp(errors{agent}(iter,blocki));
            %                 disp(likely1{agent}(iter,blocki));
            %                 disp(likely2{agent}(iter,blocki));
            %                 pause(1)
            
        end
    end
end
sum_likely1=sum(likely1);
% sum_likely2=sum(likely2);
