function sum_likely2= heur_function_log(sigma1, data)

n_blocks=length(data);
n_trials=length(data{1}(:,1));
n_cards=3;
start_trial=1;
tau=.1;

likely1=zeros(1,n_blocks);
likely2=zeros(1,n_blocks);
errors=zeros(1,n_blocks);

if sigma1>1
    likely1=ones(1,n_blocks)*1000;
    likely2=ones(1,n_blocks)*1000;
else
    
    for blocki=1:n_blocks
        cardpN100{blocki}=ones(n_trials,n_cards)/n_cards;
        real_choices=data{blocki}(:,1);
        outcomes    =data{blocki}(:,2);
        
        for triali=1:length(real_choices)
            
            if triali==start_trial
                prob=cardpN100{blocki}(triali,:);
            else
                prob=cardpN100{blocki}(triali-1,:);
                %Heuristic update
                if real_choices(triali-1)==1
                    if outcomes(triali-1)==100
                        cardpN100{blocki}(triali,1)=max(0, min(1, prob(1)+sigma1));
                        ratio2=prob(2)/(prob(2)+prob(3));
                        ratio3=prob(3)/(prob(2)+prob(3));
                        cardpN100{blocki}(triali,2)=max(0, min(1, prob(2)-sigma1*ratio2));
                        cardpN100{blocki}(triali,3)=max(0, min(1, prob(3)-sigma1*ratio3));
                    elseif  outcomes(triali-1)==10
                        cardpN100{blocki}(triali,1)=max(0, min(1, prob(1)-sigma1));
                        cardpN100{blocki}(triali,2)=max(0, min(1, prob(2)+sigma1/2));
                        cardpN100{blocki}(triali,3)=max(0, min(1, prob(3)+sigma1/2));
                    elseif  outcomes(triali-1)==0
                        cardpN100{blocki}(triali,1)=max(0, min(1, prob(1)-sigma1));
                        cardpN100{blocki}(triali,2)=max(0, min(1, prob(2)+sigma1/2));
                        cardpN100{blocki}(triali,3)=max(0, min(1, prob(3)+sigma1/2));
                    end
                elseif real_choices(triali-1)==2
                    if outcomes(triali-1)==100
                        cardpN100{blocki}(triali,2)=max(0, min(1, prob(2)+sigma1));
                        ratio1=prob(1)/(prob(1)+prob(3));
                        ratio3=prob(3)/(prob(1)+prob(3));
                        cardpN100{blocki}(triali,1)=max(0, min(1, prob(1)-sigma1*ratio1));
                        cardpN100{blocki}(triali,3)=max(0, min(1, prob(3)-sigma1*ratio3));
                    elseif  outcomes(triali-1)==10
                        cardpN100{blocki}(triali,2)=max(0, min(1, prob(2)-sigma1));
                        cardpN100{blocki}(triali,1)=max(0, min(1, prob(1)+sigma1/2));
                        cardpN100{blocki}(triali,3)=max(0, min(1, prob(3)+sigma1/2));
                    elseif  outcomes(triali-1)==0
                        cardpN100{blocki}(triali,2)=max(0, min(1, prob(1)-sigma1));
                        cardpN100{blocki}(triali,1)=max(0, min(1, prob(2)+sigma1/2));
                        cardpN100{blocki}(triali,3)=max(0, min(1, prob(3)+sigma1/2));
                    end
                elseif real_choices(triali-1)==3
                    if outcomes(triali-1)==100
                        cardpN100{blocki}(triali,3)=max(0, min(1, prob(3)+sigma1));
                        ratio1=prob(1)/(prob(1)+prob(2));
                        ratio2=prob(2)/(prob(1)+prob(2));
                        cardpN100{blocki}(triali,1)=max(0, min(1, prob(1)-sigma1*ratio1));
                        cardpN100{blocki}(triali,2)=max(0, min(1, prob(2)-sigma1*ratio2));
                    elseif outcomes(triali-1)==10
                        cardpN100{blocki}(triali,2)=max(0, min(1, prob(2)-sigma1));
                        cardpN100{blocki}(triali,1)=max(0, min(1, prob(1)+sigma1/2));
                        cardpN100{blocki}(triali,3)=max(0, min(1, prob(3)+sigma1/2));
                    elseif outcomes(triali-1)==0
                        cardpN100{blocki}(triali,2)=max(0, min(1, prob(2)-sigma1));
                        cardpN100{blocki}(triali,1)=max(0, min(1, prob(1)+sigma1/2));
                        cardpN100{blocki}(triali,3)=max(0, min(1, prob(3)+sigma1/2));
                    end
                elseif real_choices(triali-1)==0
                    cardpN100{blocki}(triali,:)=(prob+ones(1,3)/3)/2;
                end
                
                cardpN100{blocki}(triali,:)=cardpN100{blocki}(triali,:)/sum(cardpN100{blocki}(triali,:));
            end
%             cardpN100{blocki}(triali,:)=softmaxselection(cardpN100{blocki}(triali,:), tau);
%             cardpN100{blocki}(triali,:)=max(0.05, cardpN100{blocki}(triali,:));
%             cardpN100{blocki}(triali,:)=cardpN100{blocki}(triali,:)/sum(cardpN100{blocki}(triali,:));
            
            distro=softmaxselection(cardpN100{blocki}(triali,:), tau);
%             distro=cardpN100{blocki}(triali,:);
            
            %comparison
            if real_choices(triali)>0
                errors(blocki)= 1-distro(real_choices(triali));
                likely1(blocki)=likely1(blocki)+ errors(blocki);
%                 likely2(blocki)=likely2(blocki)+ abs(log(cardpN100{blocki}(triali,real_choices(triali))));
                likely2(blocki)=likely2(blocki)+ min(3, abs(log(distro(real_choices(triali)))));                
            end
            if max(cardpN100{blocki}(triali,:))==0.05
                error ('check')
            end
            
            %                 disp([real_choices(triali-1) outcomes(triali-1)]);
            %                 disp(cardpN100{blocki}(triali,:));
            %                 pause(1)
            
        end
    end
    %%
    
end
% sum_likely1=sum(likely1);
sum_likely2=sum(likely2);
