function sum_likely2= Behr_function_log(alpha, gamma, data, beads)


n_blocks=length(data);
n_trials=length(data{1}(:,1));
n_beads=3;
start_trial=1;
negabias=0;

likely1=zeros(1,n_blocks);
likely2=zeros(1,n_blocks);
errors=zeros(1,n_blocks);
% disp(sigma1)
if alpha<0 || alpha>2.5  
    alpha=abs(alpha);
    negabias=1000;
end
if gamma<0 || gamma>2.5
    gamma=abs(gamma);
    negabias=1000;
end
% if tau<0.01 || tau>1
%     likely1=ones(1,n_blocks)*1000;
%     likely2=ones(1,n_blocks)*1000;
% end
tau=.1;    
    
    for blocki=1:n_blocks %[optimal sample: 1 2 6
        %             bead_disp=all_data{agent}{blocki}(:,5);
        jarp{blocki}=ones(n_trials,n_beads)/n_beads;
        gjarp{blocki}=ones(n_trials,n_beads)/n_beads;
        bead_disp=beads{blocki};
        real_choices=data{blocki}(:,1);
        for triali=start_trial:length(bead_disp)
            
            if triali==start_trial
                prob=jarp{blocki}(triali,:)*100;
                alphape=0;
            elseif real_choices(triali-1)>0
                prob=jarp{blocki}(triali-1,:)*100;
                outcome=bead_disp(triali);
%                 cardval=cardpN100{blocki}(triali-1,:);
%                 alphape=alpha*(outcomes(triali-1)-cardpN100{blocki}(triali-1,real_choices(triali-1)));%*(1-cardpN100{blocki}(triali-1,real_choices(triali-1))/100);
                if real_choices(triali-1)==outcome
                    alphape=alpha*(100-prob(real_choices(triali-1)));
                else
                    alphape=alpha*(0-prob(real_choices(triali-1)));
                end
                   
            %Behrens update
%                 disp([jarp{blocki}(triali-1,:), gjarp{blocki}(triali-1,:)]);
%                 disp([real_choices(triali-1) outcome alphape])
%                 pause(2)
            if alphape>=0
                jarp{blocki}(triali,real_choices(triali-1))=prob(real_choices(triali-1))+alphape;
                if bead_disp(triali)==1
                    jarp{blocki}(triali,2)=prob(2)-alphape/2;
                    jarp{blocki}(triali,3)=prob(3)-alphape/2;
                elseif bead_disp(triali)==2
                    %                 ratio1=prob(1)/(prob(1)+prob(3));
                    %                 ratio3=prob(3)/(prob(1)+prob(3));
                    jarp{blocki}(triali,1)=prob(1)-alphape/2;
                    jarp{blocki}(triali,3)=prob(3)-alphape/2;
                elseif bead_disp(triali)==3
                    %                 ratio1=prob(1)/(prob(1)+prob(2));
                    %                 ratio3=prob(2)/(prob(1)+prob(2));
                    jarp{blocki}(triali,1)=prob(1)-alphape/2;
                    jarp{blocki}(triali,2)=prob(2)-alphape/2;
                end
            else
                jarp{blocki}(triali, bead_disp(triali))=prob(bead_disp(triali))-alphape;
                if bead_disp(triali)==1
                    jarp{blocki}(triali,2)=prob(2)+alphape/2;
                    jarp{blocki}(triali,3)=prob(3)+alphape/2;
                elseif bead_disp(triali)==2
                    jarp{blocki}(triali,1)=prob(1)+alphape/2;
                    jarp{blocki}(triali,3)=prob(3)-alphape/2;
                elseif bead_disp(triali)==3
                    jarp{blocki}(triali,1)=prob(1)+alphape/2;
                    jarp{blocki}(triali,2)=prob(2)+alphape/2;
                end
            end
            jarp{blocki}(triali,:)=max(0, jarp{blocki}(triali,:));
            jarp{blocki}(triali,:)=jarp{blocki}(triali,:)/sum(jarp{blocki}(triali,:));
%             jarp{blocki}(triali,:)=max(0.05, jarp{blocki}(triali,:));            

            gjarp{blocki}(triali,:)=max(0, (min(1, gamma*(jarp{blocki}(triali,:)-0.5)+0.5)));
            gjarp{blocki}(triali,:)=gjarp{blocki}(triali,:)/sum(gjarp{blocki}(triali,:));
            
            elseif real_choices(triali-1)==0
                jarp{blocki}(triali,:)=(jarp{blocki}(triali,:)+ones(1,3)/3)/2;
                gjarp{blocki}(triali,:)=max(0, (min(1, gamma*(jarp{blocki}(triali,:)-0.5)+0.5)));
                gjarp{blocki}(triali,:)=gjarp{blocki}(triali,:)/sum(gjarp{blocki}(triali,:));
            end

            distro=softmaxselection(gjarp{blocki}(triali,:), tau);
            choice_prob=distro;%max(0.05, distro)/sum(max(0.05, distro));
            %comparison
            if real_choices(triali)>0
%                 if distro(real_choices(triali))<.05
%                     choice_prob=max(0.05, distro(real_choices(triali)));
%                 else
%                     choice_prob=distro(real_choices(triali));
%                 end
%                 errors= 1-choice_prob(real_choices(triali));
%                 likely1(blocki)=likely1(blocki)+ errors;
%                 likely2(blocki)=likely2(blocki)+ abs(log(choice_prob(real_choices(triali))));
                likely2(blocki)=likely2(blocki)+ min(3, abs(log(distro(real_choices(triali)))))+negabias;

            end
            
            
            %                 disp([bead_disp(triali) real_choices(triali)]);
            %                 disp(jarp{blocki}(triali,:));
            %                 disp(errors{agent}(iter,blocki));
            %                 disp(likely1{agent}(iter,blocki));
            %                 disp(likely2{agent}(iter,blocki));
            %                 pause(1)
            
        end
    end

% sum_likely1=sum(likely1);
sum_likely2=sum(likely2);
