function sum_likely1= RL_function_lin(alpha, gamma, data)

% load('partial_card_optimization');
% tau=0.1;
n_blocks=length(data);
n_trials=length(data{1}(:,1));
n_cards=3;
start_trial=1;
negabias=0;

likely1=zeros(1,n_blocks);
likely2=zeros(1,n_blocks);
errors=zeros(1,n_blocks);


if alpha<0 || alpha>2.5  
%     alpha=abs(alpha);
    negabias=1000;
end
if gamma<0 || gamma>2.5
%     gamma=abs(gamma);
    negabias=1000;
end
% if tau<0.01 || tau>1
%     likely1=ones(1,n_blocks)*1000;
%     likely2=ones(1,n_blocks)*1000;
% end
tau=.1;
% || alpha>1 || gamma>1
%     likely1=ones(1,n_blocks)*1000;
%     likely2=ones(1,n_blocks)*1000;
% else
    
    for blocki=1:n_blocks
        cardpN100{blocki}=ones(n_trials,n_cards)*100/n_cards;
        gcardpN100{blocki}=ones(n_trials,n_cards)/n_cards;
        outcomes    =data{blocki}(:,2);
        real_choices=data{blocki}(:,1);
        
        for triali=1:length(real_choices)
            
            if triali==start_trial
                cardval=cardpN100{blocki}(triali,:);
            elseif real_choices(triali-1)>0
                cardval=cardpN100{blocki}(triali-1,:);
                alphape=alpha*(outcomes(triali-1)-cardpN100{blocki}(triali-1,real_choices(triali-1)));%*(1-cardpN100{blocki}(triali-1,real_choices(triali-1))/100);
                %Behrens update
%                 disp([cardpN100{blocki}(triali-1,:), gcardpN100{blocki}(triali-1,:)]);
%                 disp([real_choices(triali-1) outcomes(triali-1) alphape])
%                 pause(2)
                
                ratio1=cardval(1)/sum(cardval);
                ratio2=cardval(2)/sum(cardval);
                ratio3=cardval(3)/sum(cardval);
                if real_choices(triali-1)==1
                    cardpN100{blocki}(triali,1)=cardval(1)+alphape;
                    cardpN100{blocki}(triali,2)=cardval(2)-alphape/2;%*ratio2;
                    cardpN100{blocki}(triali,3)=cardval(3)-alphape/2;%*ratio3;
                elseif real_choices(triali-1)==2
                    cardpN100{blocki}(triali,1)=cardval(1)-alphape/2;%*ratio1;
                    cardpN100{blocki}(triali,2)=cardval(2)+alphape;
                    cardpN100{blocki}(triali,3)=cardval(3)-alphape/2;%*ratio3;
                elseif real_choices(triali-1)==3
                    cardpN100{blocki}(triali,1)=cardval(1)-alphape/2;%*ratio1;
                    cardpN100{blocki}(triali,2)=cardval(2)-alphape/2;%*ratio2;
                    cardpN100{blocki}(triali,3)=cardval(3)+alphape;
                end
                cardpN100{blocki}(triali,:)=max(0, cardpN100{blocki}(triali,:));
                sumval=sum(cardpN100{blocki}(triali,:));
                cardpN100{blocki}(triali,:)=cardpN100{blocki}(triali,:)/sumval*100;
                
                gcardpN100{blocki}(triali,:)=max(0, (min(1, gamma*(cardpN100{blocki}(triali,:)/sumval-0.5)+0.5)));
                gcardpN100{blocki}(triali,:)=gcardpN100{blocki}(triali,:)/sum(gcardpN100{blocki}(triali,:));
            elseif real_choices(triali-1)==0
                cardpN100{blocki}(triali,:)=(cardval/sum(cardval)*100+ones(1,3)*100/3)/2;
                sumval=sum(cardpN100{blocki}(triali,:));
                gcardpN100{blocki}(triali,:)=max(0, (min(1, gamma*(cardpN100{blocki}(triali,:)/sumval-0.5)+0.5)));
                gcardpN100{blocki}(triali,:)=gcardpN100{blocki}(triali,:)/sum(gcardpN100{blocki}(triali,:));
            end
            %             cardpN100{blocki}(triali,:)=max(0.05, cardpN100{blocki}(triali,:));
            
            distro=softmaxselection(gcardpN100{blocki}(triali,:), tau);
            
            %comparison
            if real_choices(triali)>0
%                 if distro(real_choices(triali))<.01
%                     choice_prob=max(0.01, distro(real_choices(triali)));
%                 else
%                     choice_prob=distro(real_choices(triali));
%                 end
                likely1(blocki)=likely1(blocki)+ 1-distro(real_choices(triali))+negabias;
%                 likely2(blocki)=likely2(blocki)+ abs(log(choice_prob));
            end
            
            %                 disp([real_choices(triali-1) outcomes(triali-1)]);
            %                 disp(cardpN100{blocki}(triali,:));
            %                 pause(1)
            
        end
    end
    %%
    
% end
sum_likely1=sum(likely1);
% sum_likely2=sum(likely2);
