function sum_likely1= bayes_function_lin(sigma2, data, beads)

n_blocks=length(data);
n_trials=length(data{1}(:,1));
n_beads=3;
start_trial=1;
sigma1=.5;
tau=.1;

likely1=zeros(1,n_blocks);
likely2=zeros(1,n_blocks);
errors=zeros(1,n_blocks);

        if sigma2<1/2 || sigma2>1
            likely1=ones(1,n_blocks)*1000;
            likely2=ones(1,n_blocks)*1000;            
        else
%         values1 = normpdf(1:3,2,sigma1)/sum(normpdf(1:3,2,sigma1));
%         m1=values1(2);
%         s1=values1(1);
        m1=sigma1;
        s1=(1-sigma1)/2;
%         beadp=[0 1 1
%                1 0 1
%                1 1 0]*s1 + eye(3)*m1;

%         values2 = normpdf(1:2,2,sigma2)/sum(normpdf(1:2,2,sigma2));
%         m2=values2(2)*2-1;
%         s2=1-m2;
        m2=sigma2;
        s2=(1-sigma2);
        volatp=[0 1
                1 0]*s2 + eye(2)*m2;
           
        for blocki=1:n_blocks %[optimal sample: 1 2 6
            
        beadp=[0 1 1
               1 0 1
               1 1 0]*s1 + eye(3)*m1;
            
%             bead_disp=all_data{agent}{blocki}(:,5);
            jarp{blocki}=ones(n_trials,n_beads)/n_beads;
            bead_disp=beads{blocki};
            real_choices=data{blocki}(:,1);
            volup{blocki}=ones(n_trials,2)/2;
            for triali=start_trial:length(bead_disp)
                
                %Bayesian update
                if triali==start_trial
                    prob=jarp{blocki}(triali,:);
                    Vprob=volup{blocki}(triali,:);
                else
                    prob=jarp{blocki}(triali-1,:);
                    Vprob=volup{blocki}(triali-1,:);
                    if bead_disp(triali)==bead_disp(triali-1)
                        denV=Vprob(1)*volatp(2,1)+Vprob(2)*volatp(2,2);
                        volup{blocki}(triali,:)=(volatp(2,:).*Vprob)/denV;
                    else
                        denV=Vprob(1)*volatp(1,1)+Vprob(2)*volatp(1,2);
                        volup{blocki}(triali,:)=(volatp(1,:).*Vprob)/denV;
                    end
                    sigma1_update=volup{blocki}(triali,1)*2/3+1/3;
                    volup{blocki}(triali,:)=max(0.05, volup{blocki}(triali,:));
                    volup{blocki}(triali,:)=volup{blocki}(triali,:)/sum(volup{blocki}(triali,:));

%                     sigma1_update=volup{blocki}(triali,1);
%                     if sigma1==0
%                                         linepause=1;
%                     end
%                     values1 = normpdf(1:3,2,sigma1_update)/sum(normpdf(1:3,2,sigma1_update));
%                     m1=values1(2);
%                     s1=values1(1);
                    m1=sigma1_update;
                    s1=(1-sigma1_update)/2;
                    beadp=[0 1 1
                        1 0 1
                        1 1 0]*s1 + eye(3)*m1;

%                     disp([sigma2 bead_disp(triali) real_choices(triali)]);
%                     disp(sigma1_update);
                end
                
                
                if bead_disp(triali)==1
                    den=prob(1)*beadp(1,1)+prob(2)*beadp(1,2)+prob(3)*beadp(1,3);
                elseif bead_disp(triali)==2
                    den=prob(1)*beadp(2,1)+prob(2)*beadp(2,2)+prob(3)*beadp(2,3);
                elseif bead_disp(triali)==3
                    den=prob(1)*beadp(3,1)+prob(2)*beadp(3,2)+prob(3)*beadp(3,3);
                end
                jarp{blocki}(triali,:)=(beadp(bead_disp(triali),:).*prob)/den;
                distro=softmaxselection(jarp{blocki}(triali,:), tau);
                jarp{blocki}(triali,:)=max(0.05, jarp{blocki}(triali,:));
                jarp{blocki}(triali,:)=jarp{blocki}(triali,:)/sum(jarp{blocki}(triali,:));
            
%                 distro=softmaxselection(jarp{blocki}(triali,:), tau);
%                 distro=jarp{blocki}(triali,:);
                
                %comparison
                if real_choices(triali)>0
%                     if distro(real_choices(triali))<.0001
%                         disp(log(distro(real_choices(triali))))
%                     end
                    errors(blocki)= 1-distro(real_choices(triali));
                    likely1(blocki)=likely1(blocki)+ errors(blocki);
%                     likely2(blocki)=likely2(blocki)+ abs(log(distro(real_choices(triali))));
%                     likely2(blocki)=likely2(blocki)+ min(3, abs(log(distro(real_choices(triali)))));
                end
%                 jarp{blocki}(triali,:)=max(0.05, (beadp(bead_disp(triali),:).*prob)/den);
%                 jarp{blocki}(triali,:)=max(0.05, jarp{blocki}(triali,:));
%                 disp([agent blocki triali])
%                 disp(jarp{blocki}(triali,:))
                if max(jarp{blocki}(triali,:))==0.05
                    error ('check')
                end
%                 disp(jarp{blocki}(triali,:));
                %                 disp(errors{agent}(iter,blocki));
                %                 disp(likely1{agent}(iter,blocki));
                %                 disp(likely2{agent}(iter,blocki));
%                 pause(1)

            end
        end
        end
sum_likely1=sum(likely1);
% sum_likely2=sum(likely2);
