function sum_likely1= bayes_function_lin(sigma1, data, beads)

n_blocks=length(data);
n_trials=length(data{1}(:,1));
n_beads=3;
start_trial=1;
tau=.1;


        likely1=zeros(1,n_blocks);
        likely2=zeros(1,n_blocks);
        errors=zeros(1,n_blocks);

        if sigma1<=1/3 || sigma1>1 
            likely1=ones(1,n_blocks)*1000;
            likely2=ones(1,n_blocks)*1000;            
        else
%         values = normpdf(1:3,2,sigma1)/sum(normpdf(1:3,2,sigma1));
%         m=values(2);
%         s=values(1);
        m=sigma1;
        s=(1-sigma1)/2;
        
        beadp=[0 1 1
               1 0 1
               1 1 0]*s + eye(3)*m;
        
        for blocki=1:n_blocks %[optimal sample: 1 2 6
%             bead_disp=all_data{agent}{blocki}(:,5);
            jarp{blocki}=ones(n_trials,n_beads)/n_beads;
            bead_disp=beads{blocki};
            real_choices=data{blocki}(:,1);
            for triali=start_trial:length(bead_disp)
                
                if triali==start_trial
                    prob=jarp{blocki}(triali,:);
                else
                    prob=jarp{blocki}(triali-1,:);
                end
                %Bayesian update
                if bead_disp(triali)==1
                    den=prob(1)*beadp(1,1)+prob(2)*beadp(1,2)+prob(3)*beadp(1,3);
                elseif bead_disp(triali)==2
                    den=prob(1)*beadp(2,1)+prob(2)*beadp(2,2)+prob(3)*beadp(2,3);
                elseif bead_disp(triali)==3
                    den=prob(1)*beadp(3,1)+prob(2)*beadp(3,2)+prob(3)*beadp(3,3);
                end
                jarp{blocki}(triali,:)=(beadp(bead_disp(triali),:).*prob)/den;

                distro=softmaxselection(jarp{blocki}(triali,:), tau);
                jarp{blocki}(triali,:)=max(0.05, jarp{blocki}(triali,:));
                jarp{blocki}(triali,:)=jarp{blocki}(triali,:)/sum(jarp{blocki}(triali,:));
            
%                 distro=jarp{blocki}(triali,:);

                %comparison
                if real_choices(triali)>0
%                     if jarp{blocki}(triali,real_choices(triali))<.0001
%                         disp(log(jarp{blocki}(triali,real_choices(triali))))
%                     end
                    errors= 1-distro(real_choices(triali));
                    likely1(blocki)=likely1(blocki)+ errors;
%                     likely2(blocki)=likely2(blocki)+ abs(log(distro(real_choices(triali))));
                end
%                 jarp{blocki}(triali,:)=max(0.05, (beadp(bead_disp(triali),:).*prob)/den);
%                 jarp{blocki}(triali,:)=max(0.05, jarp{blocki}(triali,:));
%                 disp([agent blocki triali])
%                 disp(jarp{blocki}(triali,:))
                if max(jarp{blocki}(triali,:))==0.05
                    error ('check')
                end
%                 disp([bead_disp(triali) real_choices(triali)]);
%                 disp(jarp{blocki}(triali,:));
%                 disp(errors{agent}(iter,blocki));
%                 disp(likely1{agent}(iter,blocki));
%                 disp(likely2{agent}(iter,blocki));
%                 pause(1)
                
            end
        end
        end
sum_likely1=sum(likely1);
% sum_likely2=sum(likely2);
