function sum_likely2= bayes_function_log(sigma2, data)

n_blocks=length(data);
n_trials=length(data{1}(:,1));
n_cards=3;
start_trial=2;
sigma1=.5;
tau=.1;

        likely1=zeros(1,n_blocks);
        likely2=zeros(1,n_blocks);
        errors=zeros(1,n_blocks);

        if sigma2<1/2 || sigma2>1
            likely1=ones(1,n_blocks)*1000;
            likely2=ones(1,n_blocks)*1000;            
        else
%         values1 = normpdf(1:3,2,sigma1)/sum(normpdf(1:3,2,sigma1));
%         m1=values1(2);
%         s1=values1(1);
        m1=sigma1;
        s1=(1-sigma1)/2;
        cardupdN100=[0 1 1
                     1 0 1
                     1 1 0]*s1 + eye(3)*m1;
        m3=s1/(m1*2+s1);
        s3=m1/(m1*2+s1);
        cardupdB100=([0 1 1
                      1 0 1
                      1 1 0]*s3 + eye(3)*m3);

%         values2 = normpdf(1:2,2,sigma2)/sum(normpdf(1:2,2,sigma2));
%         m2=values2(2)*2-1;
%         s2=1-m2;
        m2=sigma2;
        s2=(1-sigma2);
        volatp=[0 1
                1 0]*s2 + eye(2)*m2;


        %starting probabilities        
        for blocki=1:n_blocks
            cardpN100{blocki}=ones(n_trials,n_cards)/n_cards;
            volup{blocki}=ones(n_trials,2)/2;
%             cardpB{blocki}   =ones(n_trials,n_cards)/n_cards;
        end
        
        for blocki=1:n_blocks
%         cardupdN100=[0 1 1
%                1 0 1
%                1 1 0]*s1 + eye(3)*m1;
%         cardupdB100=([0 1 1
%                       1 0 1
%                       1 1 0]*m1 + eye(3)*s1);

            outcomes    =data{blocki}(:,2);
            real_choices=data{blocki}(:,1);
            prob=cardpN100{blocki}(1,:);
            Vprob=volup{blocki}(1,:);    
            sigma1_update=volup{blocki}(1,1)*2/3+1/3;
            
            for triali=start_trial:length(real_choices)
                %Bayesian update
                prob=cardpN100{blocki}(triali-1,:);

                
%                 sigma1_update=volup{blocki}(triali,1);
                %                     if sigma1==0
                %                                         linepause=1;
                %                     end
%                 values1 = normpdf(1:3,2,sigma1_update)/sum(normpdf(1:3,2,sigma1_update));
%                 m1=values1(2);
%                 s1=values1(1);
                    m1=sigma1_update;
                    s1=(1-sigma1_update)/2;
                cardupdN100=[0 1 1
                             1 0 1
                             1 1 0]*s1 + eye(3)*m1;
                m3=s1/(m1*2+s1);
                s3=m1/(m1*2+s1);
                cardupdB100=([0 1 1
                              1 0 1
                              1 1 0]*s3 + eye(3)*m3);

                
                %Normal and Bimodal
                if real_choices(triali-1)==1
                    if outcomes(triali-1)==100
                        denN100=prob(1)*cardupdN100(1,1)+prob(2)*cardupdN100(1,2)+prob(3)*cardupdN100(1,3);
                    elseif  outcomes(triali-1)==10
                        denN100=prob(1)*cardupdB100(1,1)+prob(2)*cardupdB100(1,2)+prob(3)*cardupdB100(1,3);
                    elseif  outcomes(triali-1)==0
                        denN100=prob(1)*cardupdB100(1,1)+prob(2)*cardupdB100(1,2)+prob(3)*cardupdB100(1,3);
                    end
                elseif real_choices(triali-1)==2
                    if outcomes(triali-1)==100
                        denN100=prob(1)*cardupdN100(2,1)+prob(2)*cardupdN100(2,2)+prob(3)*cardupdN100(2,3);
                    elseif outcomes(triali-1)==10
                        denN100=prob(1)*cardupdB100(2,1)+prob(2)*cardupdB100(2,2)+prob(3)*cardupdB100(2,3);
                    elseif outcomes(triali-1)==0
                        denN100=prob(1)*cardupdB100(2,1)+prob(2)*cardupdB100(2,2)+prob(3)*cardupdB100(2,3);
                    end
                elseif real_choices(triali-1)==3
%                     denB=cardpB(triali-1,1)*cardupdB(3,1)+cardpB(triali-1,2)*cardupdB(3,2)+cardpB(triali-1,3)*cardupdB(3,3);
                    if outcomes(triali-1)==100
                        denN100=prob(1)*cardupdN100(3,1)+prob(2)*cardupdN100(3,2)+prob(3)*cardupdN100(3,3);
                    elseif outcomes(triali-1)==10
                        denN100=prob(1)*cardupdB100(3,1)+prob(2)*cardupdB100(3,2)+prob(3)*cardupdB100(3,3);
                    elseif outcomes(triali-1)==0
                        denN100=prob(1)*cardupdB100(3,1)+prob(2)*cardupdB100(3,2)+prob(3)*cardupdB100(3,3);
                    end
                end
                
                if  real_choices(triali-1)>0
                    if outcomes(triali-1)==100
                        cardpN100{blocki}(triali,:)=(cardupdN100(real_choices(triali-1),:).*prob)/denN100;
                    else
                        cardpN100{blocki}(triali,:)=(cardupdB100(real_choices(triali-1),:).*prob)/denN100;
                    end
                else
                    cardpN100{blocki}(triali,:)=(prob +ones(1,3)/3)/2;
                end
                distro=softmaxselection(cardpN100{blocki}(triali,:), tau);
                cardpN100{blocki}(triali,:)=max(0.05, cardpN100{blocki}(triali,:));
                cardpN100{blocki}(triali,:)=cardpN100{blocki}(triali,:)/sum(cardpN100{blocki}(triali,:));
                
%                 distro=softmaxselection(cardpN100{blocki}(triali,:), tau);
%                 distro=cardpN100{blocki}(triali,:);

                Vprob=volup{blocki}(triali-1,:);
                if real_choices(triali-1)==real_choices(triali) && outcomes(triali)==outcomes(triali-1) && outcomes(triali)==100
                    denV=Vprob(1)*volatp(2,1)+Vprob(2)*volatp(2,2);
                    volup{blocki}(triali,:)=(volatp(2,:).*Vprob)/denV;
                else
                    denV=Vprob(1)*volatp(1,1)+Vprob(2)*volatp(1,2);
                    volup{blocki}(triali,:)=(volatp(1,:).*Vprob)/denV;
                end
                sigma1_update=volup{blocki}(triali,1)*2/3+1/3;
                volup{blocki}(triali,:)=max(0.05, volup{blocki}(triali,:));
                volup{blocki}(triali,:)=volup{blocki}(triali,:)/sum(volup{blocki}(triali,:));

                %comparison
                if real_choices(triali)>0
                    errors(blocki)= 1-distro(real_choices(triali));
                    likely1(blocki)=likely1(blocki)+ errors(blocki);
                    likely2(blocki)=likely2(blocki)+ min(3, abs(log(distro(real_choices(triali)))));
                end
%                 cardpN100{blocki}(triali,:)=max(0.05, cardpN100{blocki}(triali,:));
                if max(cardpN100{blocki}(triali,:))==0.05
                    error ('check')
                end

%                 disp([real_choices(triali-1) outcomes(triali-1)]);
%                 disp(cardpN100{blocki}(triali,:));
%                 pause(3)
                
            end
        end
%%

        end
% sum_likely1=sum(likely1);
sum_likely2=sum(likely2);
